Bug 649717 - (CVE-2010-3877) CVE-2010-3877 kernel: net/tipc/socket.c: reading uninitialized stack memory
CVE-2010-3877 kernel: net/tipc/socket.c: reading uninitialized stack memory
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20101031,reported=2...
: Security
Depends On: 649891 649892
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 08:10 EDT by Petr Matousek
Modified: 2015-07-31 02:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-04 08:10:33 EDT
Description of problem:
Structure sockaddr_tipc is copied to userland with padding bytes after "id" field in union field "name" unitialized.  It leads to leaking of contents of kernel stack memory.  We have to initialize them to zero.

Reference:
http://marc.info/?l=linux-netdev&m=128854507420917&w=2
http://seclists.org/oss-sec/2010/q4/94

Acknowledgements:

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.
Comment 2 Petr Matousek 2010-11-04 14:49:09 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4 and Red Hat Enterprise MRG as they did not include
support for Transparent Inter-Process Communication Protocol (TIPC). A future
kernel update in Red Hat Enterprise Linux 5 may address this flaw.
Comment 3 Eugene Teo (Security Response) 2010-11-22 08:23:35 EST
Upstream commit:
http://git.kernel.org/linus/88f8a5e3e7defccd3925cabb1ee4d3994e5cdb52
Comment 4 errata-xmlrpc 2011-01-13 16:59:45 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 5 errata-xmlrpc 2011-01-14 04:03:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.